Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 613220 - No multitouch gesture support Synaptics
No multitouch gesture support Synaptics
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-synaptics (Show other bugs)
16
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-10 00:36 EDT by Thomas Dalbo
Modified: 2013-02-13 21:43 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:43:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
smolt profile of affected HP tm2t tablet PC (7.27 KB, text/plain)
2011-01-27 02:34 EST, Evan Coury
no flags Details
xorg.log of affected HP tm2t (74.79 KB, text/plain)
2011-01-27 02:35 EST, Evan Coury
no flags Details
Smolt profile for affected HP dm4t (6.90 KB, text/plain)
2011-01-27 21:14 EST, Ben Youngblood
no flags Details
xorg.log for affected HP dm4t (75.20 KB, text/plain)
2011-01-27 21:16 EST, Ben Youngblood
no flags Details
evtest for multitouch on HP tm2t (56.00 KB, text/plain)
2011-02-01 11:25 EST, Evan Coury
no flags Details
evtest for "hard press" right click on HP tm2t (64.00 KB, text/plain)
2011-02-01 11:28 EST, Evan Coury
no flags Details

  None (edit)
Description Thomas Dalbo 2010-07-10 00:36:30 EDT
Description of problem:
There is no support for multitouch gestures (two finger scroll, etc...) with the Synaptics trackpad in the HP G62.

Version-Release number of selected component (if applicable):
Synaptics Version 1 Firmware 7.4

How reproducible:
Will not work, tried many configuration settings.

Steps to Reproduce:
1.  Use newer laptop with newer Synaptics trackpad
2.  Try to enable two finger scroll/two finger tap right click
3.  No positive results, just very jumpy cursor
  
Actual results:

Jumpy cursor, no two finger scroll.  Vertical scroll zone works fine, but not multiple fingers.

Expected results:
Two finger scroll, two finger tap for right click, etc...

Additional info:
Comment 1 Peter Hutterer 2011-01-03 20:15:41 EST
please attach your xorg.log or the evtest output for the device.
Comment 2 Evan Coury 2011-01-27 02:34:18 EST
Created attachment 475546 [details]
smolt profile of affected HP tm2t tablet PC
Comment 3 Evan Coury 2011-01-27 02:35:00 EST
Created attachment 475547 [details]
xorg.log of affected HP tm2t
Comment 4 Evan Coury 2011-01-27 03:03:58 EST
These all seem to be either referencing the same issue, or very closely related:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/308191
https://bugs.freedesktop.org//show_bug.cgi?id=21614
https://bugzilla.kernel.org/show_bug.cgi?id=16041
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/654716

There are also plenty of threads on the Ubunut and Fedora forums regarding this (or very similar) issue.

To sum up the issues as I'm experiencing them:
- There is no "right click". All taps or hard presses on the pad (even in the bottom right area) are registered as left clicks. In rare cases if tapping quickly with two fingers, it will randomly register a right click.
- With one finger on the pad, if a second finger is introduced to the pad, the mouse cursor goes crazy and jumps around the screen. This specific pad does support multi-touch, but from what I understand there are touchpads affected by this that are single touch.
- My touchpad has a little "hot area" at the top left of the pad where you're supposed to be able to double tap quickly to toggle the touchpad on and off. When it's off, an orange LED lights up where you tapped in the corner to indicate the status. This is not working at all. This is likely a separate, unrelated issue, but worth mentioning nonetheless.

Based on my skimming of the file bugs and patch submitted to the issue on freedesktop.org, it seems like most people affected by this bug are satisfied with the patched Xorg Synaptics driver which introduces the JumpyCursorThreshold configuration option. I've read that this fix has been rolled out with updates at least on Ubuntu and Arch (in Arch's extras repo), though none of the bugs have been marked as fixed or closed.
Comment 5 Evan Coury 2011-01-27 09:19:56 EST
Also, I believe https://bugzilla.redhat.com/show_bug.cgi?id=639516 to be a duplicate of this bug.
Comment 6 Ben Youngblood 2011-01-27 21:14:30 EST
Created attachment 475712 [details]
Smolt profile for affected HP dm4t
Comment 7 Ben Youngblood 2011-01-27 21:16:40 EST
Created attachment 475713 [details]
xorg.log for affected HP dm4t
Comment 8 Jim Powers 2011-01-27 21:58:06 EST
Comment #4 describes the problem correctly.  Under Fedora 13 the touchpad worked correctly, both left and right mouse clicks operated as expected.  The ability to turn on and off the touchpad via the "hot area" has never worked and missed terribly.
Comment 9 Evan Coury 2011-01-30 16:11:39 EST
Not that this is very acceptable, but I've isolated how to get the two-finger right click to work more reliably. It has to do with how close your two fingers are together when you tap. I've found if I have my fingers as close together as I can get them, it seems to work most of the time, without causing the mouse to jump like crazy. However, those with larger fingers would still definitely have problems right clicking this way, so I would not consider it an acceptable solution or workaround. Not to mention, any hard press (where it physically *clicks*) on the pad, regardless of position (in designated right or left areas), is always registered as a left click.
Comment 10 Evan Coury 2011-02-01 11:25:49 EST
Created attachment 476440 [details]
evtest for multitouch on HP tm2t

evtest output when introducing a second finger to the touchpad on an HP tm2t, resulting in the cursor jumping around the screen.
Comment 11 Evan Coury 2011-02-01 11:28:41 EST
Created attachment 476443 [details]
evtest for "hard press" right click on HP tm2t

evtest output from an HP tm2t while attempting to right click by pressing on the designated right click area on the pad (pressing as in you hear/feel the click, not tapping).
Comment 12 Evan Coury 2011-02-02 12:29:21 EST
I'd like to add that, though this bug is filed under F13, F14 is still very much affected by this bug. Perhaps it may be worth updating the version on this bug to 14.

Also, from what I can tell, it appears that more and more new laptops (especailly HP) are being shipped with this affected "SynPS/2 Synaptics Touchpad". That, plus the frequency this issue has been reported, confirmed, and in some cases, resolved in various distro bug trackers and forums deserves this bug at least a second look, in my opinion.

If there's any additional information or testing that would help get this resolved, please don't hesitate. I'm sure I'm not the only one that's eager to see this one resolved.
Comment 13 Di Milia Fabian 2011-03-08 12:26:00 EST
Some problems with my HP Pavilion DV7-4050ez.

The bug still exist in Fedora 15 Alpha 1.


How can it be that Archlinux, Gentoo, Ubuntu etc. have a patch but not Fedora/Red Hat? 

Pls, fix it :)
Comment 14 Izaac Zavaleta 2011-04-02 02:23:52 EDT
Still a problem in F14 kernel 2.6.35.11 installed in an HP dv5 2048la everything works but when trying to select text the cursor jumps all over the screen and still no right click.
Comment 15 Di Milia Fabian 2011-05-24 11:22:05 EDT
Bug still exist in Fedora 15 FINAL!!!
Comment 16 Bug Zapper 2011-06-01 10:18:09 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Peter Hutterer 2011-08-02 01:50:09 EDT
are all these touchpad clickpads? if so - well, we don't have clickpad support upstream yet. there are patches floating around but no-one ever finished them off (and they had some rather dubious legality when they first appeared). which may explain why other distros have patches but we don't.
Comment 18 Peter Hanecak 2011-08-02 15:17:16 EDT
I'm not sure what clickpad is. But I'm sure that device worked as expected under Fedora 13.

I've added myself to CC list of this issue because comment #4 fits what I'm experiencing AFTER upgrading my notebook from Fedora 13 to Fedora 14. And problem persits also after upgrade to Fedora 15.

And yes, I do have a clickpad in my HP ProBook 4520s:

http://h10010.www1.hp.com/wwpc/au/en/sm/WF05a/321957-321957-64295-3955552-3955552-4145198.html
Comment 19 DaGeek 2011-10-29 21:03:05 EDT
I can also confirm that I still have this issue with F15 on a New HP Envy 2002ea Laptop :-(
Comment 20 Di Milia Fabian 2011-10-29 23:10:10 EDT
Yeah, F13 did work but 14/15 doesn't work -.-'

Btw. Gentoo, Arch and  Ubuntu have a patch for xf86-input-synaptics

https://bugs.gentoo.org/show_bug.cgi?id=339007
Comment 21 Nathanel Titane 2011-11-09 22:00:43 EST
Hello guys,

pretty new to fedora as I've been using Ubuntu for the past 3.5 years.

I started off with F15 a couple months back and my synaptics touchpad worked fine without the requirement of any setting or tweak whatsoeve - including two-finger scroll and so on (which never happened to me in ubuntu btw).

I did a clean install of F16 yesterday to find that the two finger scroll option and side scrolling are not working anymore.

I do have a snippet that I run on startup to correct the issue: basically the sensor input value by default is way to high to oallow any actual sensing from the pad.

can this be fixed asap?

Here's my snippet - feel free to run it through terminal and post your feedback!:

xinput --set-prop --type=int --format=32 "SynPS/2 Synaptics TouchPad" "Synaptics Two-Finger Pressure" 10
Comment 22 Gendre Sébastien 2012-03-20 11:11:07 EDT
As said Nathanel Titane, the solution is configure the "Two-Finger Pressure" option of the Synaptics.

Personally, I have execute the command:
xinput set-int-prop "SynPS/2 Synaptics TouchPad" "Synaptics Two-Finger Pressure" 32 10

Et hop, all is OK. Please, change the default config of the synaptic driver.
Comment 23 Fedora End Of Life 2012-08-07 15:39:19 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Martin Dengler 2012-08-08 15:23:30 EDT
Please can someone change this to F16 or rawhide, as this still occurs for me on F16 and I see no reason to think it's been addressed?
Comment 25 Peter Hutterer 2012-08-16 20:33:22 EDT
changed to F16. F17 and later have clickpad support, so it's likely fixed there.

Note that I've changed the release but don't expect this to get fixed anytime soon, it requires backports of the driver that I don't have the time for atm.
Comment 26 Gendre Sébastien 2012-08-17 03:47:51 EDT
For me, the touchpad continue to don't have multi-touch support.
Comment 27 Fedora End Of Life 2013-01-16 20:20:09 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 28 Fedora End Of Life 2013-02-13 21:43:53 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.